Bug 5502 - RH 6.0 upgrade can't mount RH 5.2 partitions
RH 6.0 upgrade can't mount RH 5.2 partitions
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Turner
Depends On:
  Show dependency treegraph
Reported: 1999-10-04 15:07 EDT by walt
Modified: 2015-01-07 18:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-24 09:07:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description walt 1999-10-04 15:07:42 EDT
I'm running RedHat 5.2 on an AMD K6-2/333, 128MB RAM, 8.3GB
disk, partitioned like this:

Disk /dev/hda: 255 heads, 63 sectors, 1046 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot    Start      End   Blocks   Id  System
/dev/hda1   *         1       64   514048+   6  DOS 16-bit
/dev/hda2           602     1024  3397747+  83  Linux native
/dev/hda3            65       67    24097+  83  Linux native
/dev/hda4            68     1023  7679070    5  Extended
/dev/hda5            68       84   136521   82  Linux swap
/dev/hda6            85      101   136521   82  Linux swap
/dev/hda7           102      165   514048+  83  Linux native
/dev/hda8           166      293  1028128+  83  Linux native
/dev/hda9           294      421  1028128+  83  Linux native
/dev/hda10          422      485   514048+  83  Linux native
/dev/hda11          486      498   104391   82  Linux swap
/dev/hda12          499      511   104391   82  Linux swap
/dev/hda13          512      524   104391   83  Linux native
/dev/hda14          525      537   104391   83  Linux native
/dev/hda15          538      601   514048+  83  Linux native

and mounted like this:

# cat /etc/fstab
/dev/hda7               /        ext2    defaults        1 1
/dev/hda3               /boot    ext2    defaults        1 2
/dev/hda9               /home    ext2    defaults        1 2
/dev/hda14              /opt     ext2    defaults        1 2
/dev/hda13              /tmp     ext2    defaults        1 2
/dev/hda8               /usr     ext2    defaults        1 2
/dev/hda10              /usr/local ext2    defaults        1
/dev/hda1               /wind    vfat    defaults        0 0
/dev/hda15              /opt2    ext2    defaults        1 2
/dev/hda5               swap     swap    defaults        0 0
/dev/hda6               swap     swap    defaults        0 0
/dev/hda12              swap     swap    defaults        0 0
/dev/hda11              swap     swap    defaults        0 0
/dev/fd0                /mnt/floppy ext2    noauto,user
0 0
/dev/fd0		/mnt/dosfloppy msdos	noauto,user	0 0
/dev/cdrom              /mnt/cdrom iso9660 noauto,ro,user  0
none                    /proc    proc    defaults        0 0
/dev/hda2	/opt3	ext2	 exec,dev,suid,rw 1 1

When I boot RedHat 6.0 (from the Linux System Labs RedHat
6.0 CDROM, from the Achilles 6.0 CDROM, or from floppy using
boot.img from the Achilles 6.0 CDROM), and tell it I want to
Upgrade (not Install), it asks me about my SCSI controller,
we agree on it being an Adaptec 1542 (where my tape unit
lives), then, it tells me "mount failed: Device or resource
busy" 19 times (I click "OK" every time, because that's the
only button it shows me), then asks me where my root
partition is. I select /dev/hda7 (where I mount /), and
click "OK". It again says "mount failed: Device or resource
busy". I lose.

When I boot from my hard drive again (back to RH5.2), it
decides it has to fsck /dev/hda7,even though I shut down
RH5.2 gently, so I guess the upgrade attempt did touch

Why can't it mount my partitions? What can I do about it?
Will I have to do an Install, then restore my files from
tape, or will the install process have trouble with my disk,


Walt Sullivan
UNIX & Networks, Security & SysAdmin
Comment 1 walt 1999-10-04 15:23:59 EDT
What does "No email for Bug #5502" mean? I've changed from
"walt@wonder.ca" to "walt@trytel.com"

Comment 2 Jay Turner 2000-02-08 10:37:59 EST
I have been trying to come up with a solution for your problem and came across
something interesting.  In the partition table above, you show that hda2 goes
from cylinder 602-1024 and that your extended partition goes from cylinder
68-1023.  I am not able to replicate this partitioning table using Disk Druid
not fdisk, so I am not sure how you were able to get this table.  If you do
indeed have this partition table on your machine, then I would have to assume
this is the case of your problems.  The installer is mounting the hda2 partition
and then trying to mount the stuff within the extended partition and that is
causing a conflict due to the overlap.

Let me know whether this is a valid partition table.  If it is not, please
submit the correct partition table.  If it is correct then we have found the
problem and there is really nothing that I can offer.  This is not valid drive
geometry and therefore the installer has no way to deal with it.
Comment 3 Jay Turner 2000-02-24 09:07:59 EST
Closing this bug due to lack of activity.

Note You need to log in before you can comment on or make changes to this bug.